Subject: Support for multiple default routers

From: "Hesham Soliman (EAB)" <[email-masked]>
Date: Tue, 10 Sep 2002 14:49:41 +0200

Hi, 

I'd like to bring up this issue for discussion/comments. 

While simplifying the PANA charter it was suggested that
we assume that the PAA is always in the first hop router. 
There seemed to be another assumption that the PAA and the 
EP are also colocated to eliminate the need (initially) to
define a protocol (not necessarily a new one) to run
between the PAA and the EP. 

However, we also have a requirement on PANA to support
multi-access links. It is likely that these links would 
have more than one default router, mainly for load sharing
or redundancy. If these links require authentication for 
network access (i.e. PANA) while running multiple default 
routers (EPs), we need to consider one or more of the following 
options:

1. Each default router is a colocated PAA and EP. A PaC 
   would need to find all PAAs and register with each one
   of them to be granted network access through either one.
	Pros: 
		- We do not specify a protocol between the EP
		  and the PAA.

	Cons: 
		- Multiple unnecessary registrations (and reauthentication/
		  Heartbeats later) for the same link.
		- Additional state in the hosts

2. One of the default routers is a PAA and the rest are EPs.
   Hosts would discover and register with one PAA only.   
   A protocol is defined to run between the PAA and the EPs. 
   	Pros: 
		- A single registration for the link.
		- Less complexity in hosts.

	Cons: 
		- Additional work to specify a protocol between
		  the PAA and the EP. The security requirements
		  would need to be investigated for this protocol. 
              possible options: 
			- SNMP.
			- Future stuff: Midcom, Context transfer, others ?

Have I missed other pros or cons? 
Which option do you think we should go for? 

Hesham

---

From: Yoshihiro Ohba <[email-masked]>
Date: Wed, 11 Sep 2002 18:15:07 -0400

I think that cons of 1) are more serious than the cons of 2), if we
consider the computational and memory costs at the hosts as well as
bandwidth cost on the link (especially when the hosts are connected on
wireless links).  Thus, we should allow separation of PAA and EP.

Yoshihiro Ohba

---

From: Reinaldo Penno <[email-masked]>
Date: Fri, 13 Sep 2002 02:51:10 -0700 (PDT)

Hello Yoshi/Hesham

This feels like deja vu...

If I remeber correctly the outcome discussion of the
separation of EAP and PAA was that if someone wants do
it that's okay, but it would be out of scope of the
current charter. Anybody has a different view on this?

thanks,

Reinaldo

> > Which option do you think we should go for? 

__________________________________________________
Do you Yahoo!?
Yahoo! News - Today's headlines
http://news.yahoo.com

---

From: Yoshihiro Ohba <[email-masked]>
Date: Fri, 13 Sep 2002 11:47:31 -0400

Hello Reinaldo,

I think we are re-visiting this issue before finalizing the charter as
a result of the discussion in the Yokohama meeting, since multi-AR
environment was one of the hot topics during the Yokohama meeting.

Yoshihiro Ohba

---

From: "Alper E. YEGIN" <[email-masked]>
Date: Fri, 13 Sep 2002 11:47:22 -0700

Hi Reinaldo,

The question is not "shall we separate EP and PAA".

The question is how would PANA handle multiple
routers case. One possibility is to have PAA on each
router and require PaC to use PANA with each. Is this
acceptable? If not, what are the other alternative solutions...
Having to require EP-PAA separation is the side effect
of an alternative solution...

As Yoshihiro said, the outcome of this discussion
will effect the scope of the new charter. Hence the
importance of this issue...

Any thoughts on this?

alper

---

From: James Carlson <[email-masked]>
Date: Fri, 13 Sep 2002 16:18:03 -0400

> of an alternative solution...

You just jogged my memory of another issue lurking here.  What if the
provider would like to have a single default router address (so that
it works nicely with DHCP and such), but have two routers for
redundancy (i.e., VRRP)?

Life seems to get dramatically more difficult in this case.  First of
all, the backup router doesn't have the PAA state (unless there's a
new protocol to transfer that around), so it doesn't know which
packets to let through after a failure of the primary.  Worse still,
the VRRP RFC requires that the backup router must *NOT* reply to any
packets addressed to the virtual IP address -- all it does is forward.
So, even if you could transfer the state, it would be illegal for the
backup router to participate in any PANA rechallenges or keepalives.
The sessions will fall apart over time.

It seems to me that, in addition to the multiple egress router case,
PANA also has some fundamental conflicts with VRRP.

-- 
James Carlson, Solaris Networking         <[email-masked]>
SUN Microsystems / 1 Network Drive         71.234W   Vox +1 781 442 2084
MS UBUR02-212 / Burlington MA 01803-2757   42.497N   Fax +1 781 442 1677

---

From: Yoshihiro Ohba <[email-masked]>
Date: Fri, 13 Sep 2002 17:19:14 -0400

This kind of conflict with VRRP is not specific to routers controlled
by using PANA but also applies to any router that maintains dynamic
packet filtering states.  For example, if we try to apply VRRP to
special purpose routers such as Mobile IP Home Agents and VPN gateways
in order to provide redundancy, we would encounter the same problem.
Thus, I think this is an issue that is worth considering in VRRP WG.

Yoshihiro Ohba

---

From: Reinaldo Penno <[email-masked]>
Date: Tue, 17 Sep 2002 09:28:14 -0700 (PDT)

So, I agree

but shouldn't we first decide if separating is an
option or not? Because if it's not, our available
choices to handle this problem will shorten and we
know where to focus.

regards,

Reinaldo

--- "Alper E. YEGIN" <[email-masked]> wrote:
> > > I think that cons of 1) are more serious than
> the
> > > cons of 2), if we
> > > consider the computational and memory costs at
> the
> > > hosts as well as
> > > wireless links).  Thus, we should allow
> separation
> > > of PAA and EP.
> > > 
> > > Yoshihiro Ohba
> > > 
> > > 
> > > 
> > > > we assume that the PAA is always in the first
> hop
> > > router. 
> > > > There seemed to be another assumption that the
> PAA
> > > and the 
> > > > define a protocol (not necessarily a new one)
> to
> > > run
> > > > multi-access links. It is likely that these
> links
> > > would 
> > > > have more than one default router, mainly for
> load
> > > sharing
> > > > network access (i.e. PANA) while running
> multiple
> > > default 
> > > > routers (EPs), we need to consider one or more
> of
> > > the following 
> > > > options:
> > > > 
> > > > 1. Each default router is a colocated PAA and
> EP.
> > > A PaC 
> > > >    would need to find all PAAs and register
> with
> > > each one
> > > >    of them to be granted network access
> through
> > > either one.
> > > > Pros: 
> > > >    Hosts would discover and register with one
> PAA
> > > only.   
> > > >    A protocol is defined to run between the
> PAA
> > > and the EPs. 
> > > >    Pros:

---

From: "Alper E. YEGIN" <[email-masked]>
Date: Tue, 17 Sep 2002 15:09:42 -0700

One useful exercise could be to look at how a similar
case is handled with Mobile IPv4.

Mobile IPv4 has its own authentication mechanism
between the mobile node and the foreign agent (co-located
with first hop router). Even if a mobile node can bypass 
foreign agent service by acquiring a co-located care-of
address, foreign agent can request the mobile node to 
register (i.e. get authenticated and authorized) by setting
the R bit in the agent advertisements. See section 2.4.1
of RFC 3344.

So, using the analogy of MN -> PaC, and FA -> PAA,
understanding how multi-FA (or multi-router) case is handled 
would be useful. I'm not aware of any inter-FA communication 
specification for this purpose. The RFC doesn't get into this 
scenario either. Which leaves the people to resort to multiple 
registration on multi-FA (or multi-router) networks, I guess.

Any thoughts?

alper